curl -X PATCH "https://api.stableyard.fi/v2/accounts/acc_123/settings" \
-H "Authorization: Bearer sy_auth_*" \
-H "Content-Type: application/json" \
-d '{
"settlement": {
"mode": "crypto",
"crypto": {
"chain": 8453,
"token": "USDC",
"destination": "wallet"
}
}
}'
{
"object": "account",
"accountId": "acc_123",
"settlement": {
"mode": "crypto",
"crypto": {
"chain": 8453,
"token": "USDC",
"destination": "wallet"
},
"fiat": null
},
"requestId": "req_abc123"
}
Update account settlement and profile settings
curl -X PATCH "https://api.stableyard.fi/v2/accounts/acc_123/settings" \
-H "Authorization: Bearer sy_auth_*" \
-H "Content-Type: application/json" \
-d '{
"settlement": {
"mode": "crypto",
"crypto": {
"chain": 8453,
"token": "USDC",
"destination": "wallet"
}
}
}'
{
"object": "account",
"accountId": "acc_123",
"settlement": {
"mode": "crypto",
"crypto": {
"chain": 8453,
"token": "USDC",
"destination": "wallet"
},
"fiat": null
},
"requestId": "req_abc123"
}
sy_auth_*
alice → alice@stableyard)curl -X PATCH "https://api.stableyard.fi/v2/accounts/acc_123/settings" \
-H "Authorization: Bearer sy_auth_*" \
-H "Content-Type: application/json" \
-d '{
"settlement": {
"mode": "crypto",
"crypto": {
"chain": 8453,
"token": "USDC",
"destination": "wallet"
}
}
}'
{
"object": "account",
"accountId": "acc_123",
"settlement": {
"mode": "crypto",
"crypto": {
"chain": 8453,
"token": "USDC",
"destination": "wallet"
},
"fiat": null
},
"requestId": "req_abc123"
}